<meta property="og:title" content="{{ .Title }}" />
<meta property="og:description"
    content="{{ with .Description }}{{ . }}{{ else }}{{if .IsPage}}{{ .Summary }}{{ else }}{{ with .Site.Params.description }}{{ . }}{{ end }}{{ end }}{{ end }}" />
<meta property="og:type" content="{{ if .IsPage }}article{{ else }}website{{ end }}" />
<meta property="og:url" content="{{ .Permalink }}" />

{{- $images := .Resources.ByType "image" -}}
{{- $featured := .Resources.Match "**feature*" -}}
{{- $thumbnail := .Resources.Match "**thumbnail*" -}}
{{- $params_image := .Resources.Match (.Params.image.src | default "") -}}
{{- $params_images_old := .Params.images | default "" -}}
{{- $image_list := $images | union $featured | union $thumbnail | union $params_image }}
{{- if ge (len $image_list) 1 -}}
{{- with (index $image_list 0) -}}
{{- if or (or (eq .MediaType.SubType "png") (eq .MediaType.SubType "jpeg") (eq .MediaType.SubType "webp")) -}}
<meta property="og:image" content='{{ (.Fill "1200x627 Center png" ).Permalink }}' />
{{- else -}}
<meta property="og:image" content="{{ .Permalink }}" />
{{- end -}}
{{- end -}}
{{- end -}}
{{- if $params_images_old -}}{{- with (index $params_images_old 0) -}}
<meta property="og:image" content="/{{ . }}" />
{{- end -}}{{- end -}}
{{- $iso8601 := "2006-01-02T15:04:05-07:00" -}}
{{- if .IsPage }}
{{- if not .PublishDate.IsZero }}
<meta property="article:published_time" {{ .PublishDate.Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />
<meta name="publish_date" property="og:publish_date" {{ .PublishDate.Format $iso8601 | printf "content=%q" |
    safeHTMLAttr }} />
{{ else if not .Date.IsZero }}
<meta property="article:published_time" {{ .Date.Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />
<meta name="publish_date" property="og:publish_date" {{ .Date.Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />
{{ end }}
{{- if not .Lastmod.IsZero }}
<meta property="article:modified_time" {{ .Lastmod.Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />{{ end }}
{{- else }}
{{- if not .Date.IsZero }}
<meta property="og:updated_time" {{ .Lastmod.Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />
{{- end }}
{{- end }}{{/* .IsPage */}}

{{- with .Params.audio }}
<meta property="og:audio" content="{{ . }}" />{{ end }}
{{- with .Params.locale }}
<meta property="og:locale" content="{{ . }}" />{{ end }}
{{- with .Site.Params.title }}
<meta property="og:site_name" content="{{ . }}" />{{ end }}
{{- with .Params.videos }}
{{- range . }}
<meta property="og:video" content="{{ . | absURL }}" />
{{ end }}{{ end }}

{{- /* If it is part of a series, link to related articles */}}
{{- $permalink := .Permalink }}
{{- $siteSeries := .Site.Taxonomies.series }}{{ with .Params.series }}
{{- range $name := . }}
{{- $series := index $siteSeries $name }}
{{- range $page := first 6 $series.Pages }}
{{- if ne $page.Permalink $permalink }}
<meta property="og:see_also" content="{{ $page.Permalink }}" />{{ end }}
{{- end }}
{{ end }}{{ end }}

{{- if .IsPage }}
<meta property="article:section" content="{{ .Section }}" />
{{ with .Params.tags }}
{{ range first 6 . }}
<meta property="article:tag" content="{{ . }}" />
{{ end }}
{{ end }}
{{ end }}